\name{CrossQ.partial.StatBoot.OptAve}
\alias{CrossQ.partial.StatBoot.OptAve}
\title{Stationary Bootstrap for the Partial Cross-Quantilogram dwith the choice of the stationary-bootstrap parameter}
\usage{
CrossQ.partial.StatBoot.OptAve(DATA, vecA, k, Bsize, sigLev)
}
\arguments{
  \item{DATA}{The original data matrix}

  \item{vecA}{A pair of two probability values at which
  sample quantiles are estimated}

  \item{k}{A lag order}

  \item{Bsize}{The number of repetition of bootstrap}

  \item{sigLev}{The statistical significance level}
}
\value{
The boostrap critical values
}
\description{
Returns critical values for the partial cross-quantilogram,
based on the stationary bootstrap with the choice of the
stationary-bootstrap parameter.
}
\details{
This function generates critical values for for the partial
cross-quantilogram, using the stationary bootstrap in
Politis and Romano (1994).
}
\author{
Heejoon Han, Oliver Linton, Tatsushi Oka and Yoon-Jae Whang
}
\references{
Patton, A., Politis, D. N., & White, H. (2009). Correction
to "Automatic block-length selection for the dependent
bootstrap" by D. Politis and H. White. \emph{Econometric
Reviews}, 28(4), 372-375.

Politis, D. N., & White, H. (2004). Automatic block-length
selection for the dependent bootstrap. \emph{Econometric
Reviews}, 23(1), 53-70.

Politis, Dimitris N., and Joseph P. Romano. (1994). The
stationary bootstrap. \emph{Journal of the American
Statistical Association} 89.428: 1303-1313.
}

