\name{Qstat.StatBoot}
\alias{Qstat.StatBoot}
\title{Stationary Bootstrap for Q statistics}
\usage{
Qstat.StatBoot(DATA, vecA, Psize, gamma, Bsize, sigLev)
}
\arguments{
  \item{DATA}{The original data}

  \item{vecA}{A pair of two probabity values at which
  sample quantiles are estimated}

  \item{Psize}{The maximum number of lags}

  \item{gamma}{A parameter for the stationary bootstrap}

  \item{Bsize}{The number of repetition of bootstrap}

  \item{sigLev}{The statistical significance level}
}
\value{
The bootstrap critical values
}
\description{
Stationary Bootstrap procedure to generate critical values
for both Box-Pierece and Ljung-Box type Q-statistics
}
\details{
This function returns critical values for for both
Box-Pierece and Ljung-Box type Q-statistics through the
statioanry bootstrap proposed by Politis and Romano (1994).
}
\author{
Heejoon Han, Oliver Linton, Tatsushi Oka and Yoon-Jae Whang
}
\references{
Politis, Dimitris N., and Joseph P. Romano. (1994). The
stationary bootstrap. \emph{Journal of the American
Statistical Association} 89.428, pp.1303-1313.
}

